%define enable_atlas 0
%{?_with_atlas: %global enable_atlas 1}
%define enable_doc 0

%define module	scipy
%define name	python-%{module}
%define version 0.12.0
%define release %mkrel 1

%define Werror_cflags %nil

Summary:	Scientific tools for Python
Name:		%{name}
Group:		Development/Python
Version:	%{version}
Release:	%{release}
License:	BSD
Url:		http://www.scipy.org
Source0:	http://downloads.sourceforge.net/scipy/%{module}-%{version}.tar.xz
Patch0:		scipy-gerqf.patch
Obsoletes:	python-SciPy <= %{version}-%{release}
Obsoletes:	python-symeig <= %{version}%{release}
Requires:	python-numpy >= 1.7.1
BuildRequires:	swig
%if %enable_atlas
BuildRequires:	libatlas-devel
%else
BuildRequires:	blas-devel
%endif 
BuildRequires:	lapack-devel 
BuildRequires:	python-numpy-devel >= 1.7.1
BuildRequires:	gcc-gfortran >= 4.0
BuildRequires:	netcdf-devel
BuildRequires:	python-nose
BuildRequires:	python-devel
BuildRequires:	amd-devel
BuildRequires:	umfpack-devel
%if %enable_doc
BuildRequires:	python-sphinx
BuildRequires:	python-matplotlib
%endif
BuildRequires:	python-cython
BuildRequires:	python-setuptools

%description
SciPy is an open source library of scientific tools for Python. SciPy
supplements the popular numpy module, gathering a variety of high
level science and engineering modules together as a single
package. SciPy includes modules for graphics and plotting,
optimization, integration, special functions, signal and image
processing, genetic algorithms, ODE solvers, and others.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .gerqf

cat > site.cfg << EOF

[amd]
library_dirs = %{_libdir}
include_dirs = /usr/include/suitesparse
amd_libs = amd

[umfpack]
library_dirs = %{_libdir}
include_dirs = /usr/include/suitesparse
umfpack_libs = umfpack
EOF


%build

%if %enable_atlas
%define extraflags ""
%else
%define extraflags "-DNO_ATLAS_INFO"
%endif


# Make sure that gcc 4 is being used to build the package:
GCC_VERSION=`gcc --version | awk 'NR == 1 {print $3}'`
if echo $GCC_VERSION | grep ^4 > /dev/null; then
   export CC=gcc-$GCC_VERSION
else
   echo "Need GCC 4 to build"
   exit 1
fi

export CC=gcc-$GCC_VERSION

env FFLAGS="%{optflags} -fPIC -O3 %extraflags" \
    CFLAGS="%{optflags} -fPIC -O3 %extraflags" \
    ATLAS=%{_libdir}/atlas FFTW=%{_libdir} BLAS=%{_libdir} LAPACK=%{_libdir} \
    PYTHONDONTWRITEBYTECODE= %{__python} setup.py config_fc --fcompiler=gnu95 --noarch build

%if %enable_doc
pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%__make html
popd
%endif

%install

env FFLAGS="%{optflags} -fPIC -O3 %extraflags" \
    CFLAGS="%{optflags} -fPIC -O3 %extraflags" \
    ATLAS=%{_libdir}/atlas FFTW=%{_libdir} BLAS=%{_libdir} LAPACK=%{_libdir} \
    PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --root=%{buildroot} 


# Remove doc files that should be in %%doc:
%__rm -f %{buildroot}%{py_platsitedir}/%{module}/*.txt


%files
%doc README.txt THANKS.txt LATEST.txt LICENSE.txt TOCHANGE.txt 
%dir %{py_platsitedir}/%{module}
%{py_platsitedir}/%{module}/*
%{py_platsitedir}/%{module}-*.egg-info


%changelog
* Sun Aug 18 2013 billybot <billybot> 0.12.0-1pclos2013
- update python 2.7
